"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const NessBuilder_1 = __importDefault(require("../Managers/NessBuilder"));
class RankupBuilder extends NessBuilder_1.default {
    preset = {
        classic: { cornerRadius: 15 }
    };
    avatar = {
        Square: {
            x: 15, y: 15,
            w: 100, h: 100,
            radius: 15,
        },
        Octogon: {
            x: 15, y: 15,
            w: 115, h: 115,
            radius: 5,
        }
    };
    constructor(presetType, Background, avatar, shape) {
        if (presetType == 'classic') {
            super(740, 128);
        }
        else {
            super(0, 0);
        }
        this.init(Background, this.preset[presetType].cornerRadius, avatar, shape);
    }
    ;
    init(background, radius, avatar, shape) {
        this.setCornerRadius(radius);
        this.setBackground(background);
        // this.setFrame(shape, {x: this.avatar[shape].x, y: this.avatar[shape].y}, {width: this.avatar[shape].w, height: this.avatar[shape].h}, { radPik: this.avatar[shape].radius, content: { imageOrText: avatar }, outline: { color: "#FF0000", lineWidth: 3 }});
        return this;
    }
    ;
    // this.generatedTo("asset/test/test.png");
    generatedTo(location, name, type) {
        (0, fs_1.writeFileSync)(`${location}/${name}.${type}`, this.toBuffer());
    }
    ;
}
exports.default = RankupBuilder;
