"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RankupBuilder = exports.CustomProfile = exports.FilterBuilder = exports.NessBuilder = exports.ShapeEnum = exports.Edge = exports.ImageChannels = void 0;
var ShapeEnum;
(function (ShapeEnum) {
    ShapeEnum[ShapeEnum["Triangle"] = 3] = "Triangle";
    ShapeEnum[ShapeEnum["Square"] = undefined] = "Square";
    ShapeEnum[ShapeEnum["Rectangle"] = undefined] = "Rectangle";
    ShapeEnum[ShapeEnum["Pentagon"] = 5] = "Pentagon";
    ShapeEnum[ShapeEnum["Hexagon"] = 6] = "Hexagon";
    ShapeEnum[ShapeEnum["Heptagon"] = 7] = "Heptagon";
    ShapeEnum[ShapeEnum["Octagon"] = 8] = "Octagon";
    ShapeEnum[ShapeEnum["Nonagon"] = 9] = "Nonagon";
    ShapeEnum[ShapeEnum["Decagon"] = 10] = "Decagon";
    ShapeEnum[ShapeEnum["Hendecagon"] = 11] = "Hendecagon";
    ShapeEnum[ShapeEnum["Dodecagon"] = 12] = "Dodecagon";
})(ShapeEnum || (ShapeEnum = {}));
exports.ShapeEnum = ShapeEnum;
;
var ImageChannels;
(function (ImageChannels) {
    ImageChannels[ImageChannels["Red"] = 1] = "Red";
    ImageChannels[ImageChannels["Green"] = 2] = "Green";
    ImageChannels[ImageChannels["Bleu"] = 3] = "Bleu";
})(ImageChannels || (ImageChannels = {}));
exports.ImageChannels = ImageChannels;
;
var Edge;
(function (Edge) {
    Edge[Edge["Clamp"] = 1] = "Clamp";
    Edge[Edge["Wrap"] = 2] = "Wrap";
    Edge[Edge["Transparent"] = 0] = "Transparent";
})(Edge || (Edge = {}));
exports.Edge = Edge;
;
var NessBuilder_1 = require("./Managers/NessBuilder");
Object.defineProperty(exports, "NessBuilder", { enumerable: true, get: function () { return __importDefault(NessBuilder_1).default; } });
var FilterBuilder_1 = require("./Managers/FilterBuilder");
Object.defineProperty(exports, "FilterBuilder", { enumerable: true, get: function () { return __importDefault(FilterBuilder_1).default; } });
var CustomProfile_1 = require("./Extra/CustomProfile");
Object.defineProperty(exports, "CustomProfile", { enumerable: true, get: function () { return __importDefault(CustomProfile_1).default; } });
var RankupBuilder_1 = require("./Extra/RankupBuilder");
Object.defineProperty(exports, "RankupBuilder", { enumerable: true, get: function () { return __importDefault(RankupBuilder_1).default; } });
